textures/hex3tourney1/hex_greensky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/hex3tourney1/hex_greensky.tga
	q3map_lightimage textures/hex3tourney1/hex_greensky.tga
	q3map_surfacelight 35
	q3map_sun	1 1 1 100 220 50
	skyparms - 512 -

	{
		map textures/skies/dimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/hex3tourney1/hex_greensky.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}

textures/hex3tourney1/hex_spidertrim3
{   
	{
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/hex3tourney1/hex_spidertrim3.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/hex3tourney1/hex_bounce_pewter
{
	surfaceparm nodamage
	q3map_surfacelight 400

	{
		map textures/hex3tourney1/hex_bounce_pewter.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/hex3tourney1/hex_bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/hex3tourney1/hex_jumppadsmall.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/hex3tourney1/hex_hfloor3
{
	surfaceparm metalsteps
	qer_editorimage textures/base_floor/hfloor3.tga

	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/base_floor/hfloor3.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map textures/base_floor/hfloor3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/hex3tourney1/hex_telep
{ 
        cull disable	
        surfaceparm nomarks
        surfaceparm trans
        sort additive	

	{
		clampmap textures/hex3tourney1/hex_telep.tga
		blendFunc add
		tcmod rotate 327
	}
        {
	        clampmap textures/ctf/telep.tga
		alphaFunc GE128
                depthWrite
                tcmod rotate 20
	        rgbGen identity
	}
        {
	        clampmap textures/ctf/telep.tga
		alphaFunc GE128
                depthWrite
                tcMod stretch sin .7 0 0 0
                tcmod rotate -20
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/hex3tourney1/hex_fan
{
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip
	qer_editorimage textures/sfx/fan.tga

	{
		clampmap textures/sfx/fan.tga
		tcMod rotate 512 
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/hex3tourney1/hex_fanfx
{
	qer_editorimage textures/sfx/fanfx.tga
        surfaceparm nolightmap
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip

	{
		clampmap textures/sfx/fanfx.tga
		tcMod rotate 512 
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
                depthWrite
	}
}

textures/hex3tourney1/hex_jump_portal
{
	portal
	surfaceparm nolightmap
	deformVertexes wave 100 sin 0 2 0 .5
	qer_editorimage textures/sfx/portal_sfx1.tga
	q3map_lightImage textures/hex3tourney1/hex_bounce_pewter.tga
	q3map_surfaceLight 400
	{
		map textures/sfx/portal_sfx1.tga
		blendfunc blend 
		alphaGen portal 1024
		tcMod rotate 360
		depthWrite
	}
}

textures/hex3tourney1/hex_bars
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none

	{
		map textures/hex3tourney1/hex_bars.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/hex3tourney1/hex_techfloor
{    
	qer_editorimage textures/base_floor/techfloor.tga
	surfaceparm metalsteps

	{
		map textures/hex3tourney1/hex_proto_zzzt.tga
                tcMod turb 0 .5 0 9.6
                tcmod scale 2 2
                tcmod scroll 9 5
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
        {
		clampmap textures/base_floor/techfloor2.tga
		blendFunc blend
                tcmod rotate 170
                tcMod stretch sin .8 0.2 0 .4
	        rgbGen identity
	}
        {
		map textures/base_floor/techfloor.tga
                blendFunc blend
		rgbGen identity
	}
        
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
                depthFunc equal
       }
}

textures/hex3tourney1/hex_launchpad
{
	{
		map $lightmap
		rgbGen identity
	}
	{ 
		map textures/hex3tourney1/hex_launchpad.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{	
		map textures/hex3tourney1/hex_launchpad_dot.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}
	{ 
		animmap 4 textures/hex3tourney1/hex_launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}

textures/hex3tourney1/hex_padwall
{
	q3map_lightimage textures/hex3tourney1/hex_padwallglow.tga
	qer_editorimage textures/base_trim/xian_dm3padwall_y.tga
	
	{
		map textures/base_trim/xian_dm3padwall_y.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/hex3tourney1/hex_padwallglow.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .5
		tcmod scroll 0 1
	}
}

textures/hex3tourney1/hex_wsupprt1_12
{
	q3map_lightimage textures/base_light/wsupprt1_12.blend.tga
	qer_editorimage textures/base_light/wsupprt1_12.tga
	surfaceparm nomarks
	q3map_lightSubdivide 64
	q3map_surfacelight 1000
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/wsupprt1_12.blend.tga
		rgbGen wave sin 0.5 0.5 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/hex3tourney1/hex_protobanner
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nomarks
	tessSize 64
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/hex3tourney1/hex_protobanner.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/hex3tourney1/hex_wires02
{
	qer_editorimage textures/base_trim/wires02.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
        surfaceparm nonsolid
        {
                map textures/base_trim/wires02.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/hex3tourney1/hex_wires01
{
	qer_editorimage textures/base_trim/wires01.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nonsolid
	deformVertexes autoSprite2
	{
                map textures/base_trim/wires01.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/hex3tourney1/hex_wires01_ass
{
	qer_editorimage textures/base_trim/wires01_ass.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
        surfaceparm nonsolid
	deformVertexes autoSprite2
        {
                map textures/base_trim/wires01_ass.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}